# Case
`toloka.client.project.template_builder.helpers.SwitchHelperV1.Case` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/helpers.py#L211)

```python
Case(
    self,
    condition: Optional[BaseComponent] = None,
    result: Optional[Any] = None
)
```

Case.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`condition`|**Optional\[[BaseComponent](toloka.client.project.template_builder.base.BaseComponent.md)\]**|<p>Condition to check.</p>
`result`|**Optional\[Any\]**|<p>The element that is returned if the condition from the condition property is true (returns true).</p>
